Debian Bug report logs - #602266
rar is 32bit in 64bit package

version graph

Package: rar; Maintainer for rar is Martin Meredith <mez@debian.org>; Source for rar is src:rar.

Reported by: user1 <user@spam.la>

Date: Wed, 3 Nov 2010 05:09:02 UTC

Severity: normal

Found in version rar/2:3.9.3-1

Fixed in version rar/2:4.0.b2-1

Done: Martin Meredith <mez@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Meredith <mez@debian.org>:
Bug#602266; Package rar. (Wed, 03 Nov 2010 05:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to user1 <user@spam.la>:
New Bug report received and forwarded. Copy sent to Martin Meredith <mez@debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

3.9.3-1_amd64

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Wed, 03 Nov 2010 05:09:04 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: user1 <user@spam.la>
To: submit@bugs.debian.org
Subject: rar is 32bit in 64bit package
Date: Wed, 03 Nov 2010 00:59:50 -0400
package: rar
version: 3.9.3-1_amd64

amd64 package of rar is really a 32 bit executable, which will not work 
on systems without 32 bit binary support.

$ apt-get install rar
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following NEW packages will be installed:
  rar
0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Need to get 557 kB of archives.
After this operation, 1184 kB of additional disk space will be used.
Get:1 ftp://ftp.us.debian.org/debian/ unstable/non-free rar amd64 
2:3.9.3-1 [557 kB]
Fetched 557 kB in 2s (213 kB/s)
Selecting previously deselected package rar.
(Reading database ... 53585 files and directories currently installed.)
Unpacking rar (from .../rar_2%3a3.9.3-1_amd64.deb) ...
Processing triggers for man-db ...
Setting up rar (2:3.9.3-1) ...
$ rar
bash: /usr/bin/rar: cannot execute binary file
$ file `which rar`
/usr/bin/rar: ELF 32-bit LSB executable, Intel 80386, version 1 (SYSV), 
statically linked, for GNU/Linux 2.6.8, stripped





Reply sent to Martin Meredith <mez@debian.org>:
You have taken responsibility. (Sun, 12 Dec 2010 03:51:03 GMT) Full text and rfc822 format available.

Notification sent to user1 <user@spam.la>:
Bug acknowledged by developer. (Sun, 12 Dec 2010 03:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 602266-close@bugs.debian.org (full text, mbox):

From: Martin Meredith <mez@debian.org>
To: 602266-close@bugs.debian.org
Subject: Bug#602266: fixed in rar 2:4.0.b2-1
Date: Sun, 12 Dec 2010 03:47:06 +0000
Source: rar
Source-Version: 2:4.0.b2-1

We believe that the bug you reported is fixed in the latest version of
rar, which is due to be installed in the Debian FTP archive:

rar_4.0.b2-1.debian.tar.gz
  to non-free/r/rar/rar_4.0.b2-1.debian.tar.gz
rar_4.0.b2-1.dsc
  to non-free/r/rar/rar_4.0.b2-1.dsc
rar_4.0.b2-1_amd64.deb
  to non-free/r/rar/rar_4.0.b2-1_amd64.deb
rar_4.0.b2-1_i386.deb
  to non-free/r/rar/rar_4.0.b2-1_i386.deb
rar_4.0.b2.orig.tar.gz
  to non-free/r/rar/rar_4.0.b2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 602266@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Meredith <mez@debian.org> (supplier of updated rar package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 12 Dec 2010 03:07:44 +0000
Source: rar
Binary: rar
Architecture: source i386 amd64
Version: 2:4.0.b2-1
Distribution: unstable
Urgency: low
Maintainer: Martin Meredith <mez@debian.org>
Changed-By: Martin Meredith <mez@debian.org>
Description: 
 rar        - Archiver for .rar files
Closes: 602266
Changes: 
 rar (2:4.0.b2-1) unstable; urgency=low
 .
   * New upstream release
   * Added ia32-libs Depends for amd64 (Closes: #602266)
   * Bumped Standards Version
Checksums-Sha1: 
 91a51d8db364c446c3c698654d8381b095ad1bf6 1638 rar_4.0.b2-1.dsc
 a2dab1479fc31e0485016bbf900df46d43b253d4 857198 rar_4.0.b2.orig.tar.gz
 9e388c5f0b4f8bb0163ee6427f9f24af29a8152f 9736 rar_4.0.b2-1.debian.tar.gz
 0ac2bdb3baaf6db8e2947c2d76b742edfc1c8092 568052 rar_4.0.b2-1_i386.deb
 a8687cbdace1417e01d2fe460e4c0c9e10273da0 568046 rar_4.0.b2-1_amd64.deb
Checksums-Sha256: 
 8343d2ab375b40ca31c570c0f5f713f5474c76317e53118f810b61b04ee14002 1638 rar_4.0.b2-1.dsc
 9d67fdfe4be26fc439d0af02dd99e2f5646a01f80426f0e11fda9252212f6bcd 857198 rar_4.0.b2.orig.tar.gz
 6b95269e2e5f5ddc0a33991b9657c1a2c49066f2d304325a1c429614f5f9f9c9 9736 rar_4.0.b2-1.debian.tar.gz
 e03fdd2275c06a70fd15cbf51c0e09da3947527802cd0470d32643d95ea1def3 568052 rar_4.0.b2-1_i386.deb
 354cbee893db2921734ddc6be60d128f54581ab9f923cdc5b8762fe56494ba3a 568046 rar_4.0.b2-1_amd64.deb
Files: 
 058e5667a4126bed77066b52ef5e1de4 1638 non-free/utils optional rar_4.0.b2-1.dsc
 d1d807dbee234ef34857411b0f93ec66 857198 non-free/utils optional rar_4.0.b2.orig.tar.gz
 a12577c1ed0b9927d77567f6bde99811 9736 non-free/utils optional rar_4.0.b2-1.debian.tar.gz
 385164e56e060ea9cc08fc1cb12f88d7 568052 non-free/utils optional rar_4.0.b2-1_i386.deb
 1fbb05f5d9a82b44d21c03402d4575bf 568046 non-free/utils optional rar_4.0.b2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJNBEKTAAoJECr71n/RM6xux2QP/3HzaJOHT3dPO8Uz1kNabsMe
P0AZT0Vrch9ftmlux2Y4JzYnULxKQRFkmnuaM+6eMftHiA+LNlxXtqL8Ltefs+1E
YkWl4fgU1PM1Z6h/47/yT1C7IfxMXL07zL2SZRifjYg5s3ZfEJFZl2H2H3lPTvhx
/Jyd/5jwvDyR0IWYCJY1Bug1iqwZXCYk/T95ZlqB/Uzgg3TMe/alWS3WOLhGngaQ
kpufYPFdeaVGkSFc3Ysxs+PZo7gwx/Ho9iHhl06v2nQTp2FKyVi+hzBqlEnETUes
72CxAxT36rE6Tbh5YJI6bgrwBKRiyetquhZgsRPP41ftYv39aUv9v5RUo7VzKuVV
0eNU3OEI6CRRpcZWg3sOQgsl8c2mdIM4Nn2vntzwcNUtB+QyLXaC3WRz1Db1iuqL
G4c4DFcFeGGMY8vftsge6ANdCW2c7DQ+S2Is1q74+H3y+wZJkukhim94TJrSL9ip
b5bdhVC8YLdq5YbSt8wQjVxKr9mjQRcg8oRmQ5r5zn5gDMmElpmbWHYm2IhamSdO
sZbCpN6RLWoyxvtkfb1JVD0UE/YWj42AV4UDv+dF6avumHtR25yS/uCiz9yL+bVk
HwQ+sRp95B1WDPaMr13mVzxwRsidUqgojzGYLtz8z/NaAAa+cjppA88nql3b9Z2Y
ZRjsEGzDK6XVqPFU6/P+
=PMUG
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Martin Meredith <mez@debian.org>:
Bug#602266; Package rar. (Tue, 14 Dec 2010 15:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Extra info received and forwarded to list. Copy sent to Martin Meredith <mez@debian.org>. (Tue, 14 Dec 2010 15:18:04 GMT) Full text and rfc822 format available.

Message #15 received at 602266@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: Debian Bug Tracking System <602266@bugs.debian.org>
Subject: Re: is 32bit in 64bit package
Date: Tue, 14 Dec 2010 16:14:35 +0100
Package: rar
Version: 2:3.9.3-1
Severity: normal


Hi.

Why not simply using the 64 bit version at http://www.rarlab.com/rar/rarlinux-x64-4.0.b2.tar.gz
It seems to be a 64 bit ELF to me.

Cheers,
Chris.




Information forwarded to debian-bugs-dist@lists.debian.org, Martin Meredith <mez@debian.org>:
Bug#602266; Package rar. (Wed, 15 Dec 2010 10:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jordi Pujol <jordipujolp@gmail.com>:
Extra info received and forwarded to list. Copy sent to Martin Meredith <mez@debian.org>. (Wed, 15 Dec 2010 10:39:05 GMT) Full text and rfc822 format available.

Message #20 received at 602266@bugs.debian.org (full text, mbox):

From: Jordi Pujol <jordipujolp@gmail.com>
To: 602266@bugs.debian.org
Subject: Re: rar is 32bit in 64bit package
Date: Wed, 15 Dec 2010 11:35:25 +0100
Hello,

the 32 bit executable works in x86_64 architecture without ia32-libs,

installing a 32 bit program in x86_64 is a minor problem, but it can be solved 
creating the package using the ark version for x86_64 Linux, which is 
available in the upstream web site,

P.D. look to the e-mail address of the bug submitter, contains words that 
can't be cited.

Kind regards,

Jordi Pujol

Live never ending Tale
GNU/Linux Live forever!
http://livenet.selfip.com




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Mar 2011 09:37:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:47:07 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.